package com.miaxis.wx.service.impl;

import java.util.List;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.baomidou.mybatisplus.core.conditions.query.LambdaQueryWrapper;
import com.baomidou.mybatisplus.core.toolkit.Wrappers;
import com.miaxis.common.utils.DateUtils;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.apache.commons.lang3.StringUtils;
import com.miaxis.wx.mapper.WxExtractMapper;
import com.miaxis.wx.domain.WxExtract;
import com.miaxis.wx.service.IWxExtractService;

/**
 * 微信提现Service业务层处理
 *
 * @author miaxis
 * @date 2022-01-24
 */
@Service
public class WxExtractServiceImpl extends ServiceImpl<WxExtractMapper, WxExtract> implements IWxExtractService {
    @Autowired
    private WxExtractMapper wxExtractMapper;

    /**
     * 查询微信提现列表
     *
     * @param wxExtract 微信提现
     * @return 微信提现
     */
    @Override
    public List<WxExtract> selectWxExtractList(WxExtract wxExtract){
        return wxExtractMapper.selectWxExtractList(wxExtract);
    }
}
